package com.cit.sellfan.ui.pannelli;

import com.cit.sellfan.business.VariabiliGlobali;
import com.cit.sellfan.ui.TextFieldInteger;
import com.vaadin.shared.ui.MarginInfo;
import com.vaadin.ui.Alignment;
import com.vaadin.ui.Panel;
import com.xdev.ui.XdevHorizontalLayout;
import com.xdev.ui.XdevVerticalLayout;

public class pannelloCondizioniFree extends Panel {
	private VariabiliGlobali l_VG;

	/**
	 * 
	 */
	public pannelloCondizioniFree() {
		super();
		this.initUI();
		this.textFieldTemperatura.setConSegno(true);
		this.textFieldAltezza.setConSegno(true);
	}

	public void setVariabiliGlobali(final VariabiliGlobali variabiliGlobali) {
		this.l_VG = variabiliGlobali;
		this.textFieldTemperatura.setCaption("Temperature " + this.l_VG.UMTemperaturaCorrente.simbolo);
		this.textFieldAltezza.setCaption("Height " + this.l_VG.UMAltezzaCorrente.simbolo);
		this.textFieldTemperatura.setValue(Math.round(this.l_VG.utilityUnitaMisura.fromCelsiusToXX(this.l_VG.UMTemperaturaCorrente.index, this.l_VG.VentilatoreCurrent.CAFree.temperatura)));
		this.textFieldAltezza.setValue(Math.round(this.l_VG.utilityUnitaMisura.frommToXX(this.l_VG.VentilatoreCurrent.CAFree.altezza, this.l_VG.UMAltezzaCorrente)));
	}
	
	public int getTemperatura() {
		return this.textFieldTemperatura.getIntegerValue();
	}
	
	public int getAltezza() {
		return this.textFieldAltezza.getIntegerValue();
	}
	/*
	 * WARNING: Do NOT edit!<br>The content of this method is always regenerated by
	 * the UI designer.
	 */
	// <generated-code name="initUI">
	private void initUI() {
		this.verticalLayout = new XdevVerticalLayout();
		this.textFieldTemperatura = new TextFieldInteger();
		this.textFieldAltezza = new TextFieldInteger();
		this.horizontalLayout = new XdevHorizontalLayout();
	
		this.verticalLayout.setCaption("");
		this.textFieldTemperatura.setCaption("temperatura");
		this.textFieldAltezza.setCaption("altezza");
		this.horizontalLayout.setMargin(new MarginInfo(false));
	
		this.textFieldTemperatura.setWidth(200, Unit.PIXELS);
		this.textFieldTemperatura.setHeight(-1, Unit.PIXELS);
		this.verticalLayout.addComponent(this.textFieldTemperatura);
		this.verticalLayout.setComponentAlignment(this.textFieldTemperatura, Alignment.MIDDLE_CENTER);
		this.textFieldAltezza.setWidth(200, Unit.PIXELS);
		this.textFieldAltezza.setHeight(-1, Unit.PIXELS);
		this.verticalLayout.addComponent(this.textFieldAltezza);
		this.verticalLayout.setComponentAlignment(this.textFieldAltezza, Alignment.MIDDLE_CENTER);
		this.verticalLayout.setExpandRatio(this.textFieldAltezza, 10.0F);
		this.horizontalLayout.setWidth(100, Unit.PERCENTAGE);
		this.horizontalLayout.setHeight(-1, Unit.PIXELS);
		this.verticalLayout.addComponent(this.horizontalLayout);
		this.verticalLayout.setComponentAlignment(this.horizontalLayout, Alignment.MIDDLE_CENTER);
		this.verticalLayout.setWidth(100, Unit.PERCENTAGE);
		this.verticalLayout.setHeight(-1, Unit.PIXELS);
		this.setContent(this.verticalLayout);
		this.setSizeUndefined();
	} // </generated-code>
	// <generated-code name="variables">
	private XdevHorizontalLayout horizontalLayout;
	private XdevVerticalLayout verticalLayout;
	private TextFieldInteger textFieldTemperatura, textFieldAltezza;
	// </generated-code>


}
